| Kea 3.0.2-git

isc::ha::CommunicationState4::ConnectingClient4 Struct Reference

Structure holding information about the client which has sent the packet being analyzed. More...

`#include <communication_state.h>`

## Public Attributes
std::vector< uint8_t > | clientid_
std::vector< uint8_t > | hwaddr_
bool | unacked_

## Detailed Description

Structure holding information about the client which has sent the packet being analyzed.

Definition at line 932 of file communication_state.h.

## Member Data Documentation

## ◆ clientid_

std::vector<uint8_t> isc::ha::CommunicationState4::ConnectingClient4::clientid_

Definition at line 934 of file communication_state.h.

## ◆ hwaddr_

std::vector<uint8_t> isc::ha::CommunicationState4::ConnectingClient4::hwaddr_

Definition at line 933 of file communication_state.h.

## ◆ unacked_

bool isc::ha::CommunicationState4::ConnectingClient4::unacked_

Definition at line 935 of file communication_state.h.

The documentation for this struct was generated from the following file:

- communication_state.h